<?php
(!isset($int_pagesize))? $int_pagesize=10:$int_pagesize=intval($int_pagesize);
(!isset($get_page))? $get_page=0:$get_page=intval($get_page);

//·ÖÒ³
$str_where=" where (temp_unique=0 or temp_install_num=0) and temp_state>0";
$arr_temp=array();
$obj_rs   = $obj_db->get_one("SELECT count(*) as num FROM ".DB_PRE."temp".$str_where);
$int_total=$obj_rs["num"];
$int_pages= ceil($int_total/$int_pagesize);
$get_page = min($int_pages, $get_page);
$get_page = max($get_page, 1);
$page_split_page=get_pages_html($int_total, $get_page, $int_pagesize,format_url_query(array('page'=>'')));
$int_offset = $int_pagesize*($get_page-1);
$str_limit = " limit ".$int_offset.",".$int_pagesize;
$obj_result = $obj_db->query("SELECT * FROM ".DB_PRE."temp".$str_where.$str_limit);
while($obj_rs = $obj_db->fetch_array($obj_result))
{
	$obj_rs["pic"]=get_html_url($obj_rs["temp_pic"]);
	$obj_rs["addtime"]=date("Y-m-d",$obj_rs["temp_addtime"]);
	$arr_temp[] = $obj_rs;
}

?>